package com.community.huiju.enums;

/**
 * 错误消息定义
 * @author weiximei
 */
public enum ResponseErrorsMessages {

    SYSTEM_ERRORS (500, "服务断网了！"),
    NOT_PHONE(1000, "请输入正确的手机号！"),
    NOT_USER_NAME(1001, "用户名不能为空！"),
    ;


    ResponseErrorsMessages(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    private Integer code;

    private String msg;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "ResponseErrorsMessages{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                '}';
    }


}
